Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.registration.impl
Class ConsumerCapabilitiesImpl

    java.lang.Object
      org.jboss.portal.registration.impl.ConsumerCapabilitiesImpl

All Implemented Interfaces:
  ConsumerCapabilities

    public class ConsumerCapabilitiesImpl

extends java.lang.Object
implements ConsumerCapabilities

Since:
  2.6
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Constructor Summary
`ConsumerCapabilitiesImpl()`

Method Summary
`java.util.List` | `getSupportedModes()` Returns the list of supported `Mode`s
`java.util.List` | `getSupportedUserProfileData()` Returns the list of names of UserProfile extensions the associated Consumer supports.
`java.util.List` | `getSupportedUserScopes()` Returns the list of user scopes (e.g.
`java.util.List` | `getSupportedWindowStates()` Returns the list of supported `WindowState`s
`void` | `setSupportedModes(java.util.List supportedModes)`
`void` | `setSupportedUserProfileData(java.util.List supportedUserProfileData)`
`void` | `setSupportedUserScopes(java.util.List supportedUserScopes)`
`void` | `setSupportedWindowStates(java.util.List supportedWindowStates)`
`void` | `setSupportsGetMethod(boolean supportsGetMethod)`
`boolean` | `supportsGetMethod()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerCapabilitiesImpl

    public ConsumerCapabilitiesImpl()

Method Detail

### supportsGetMethod

    public boolean supportsGetMethod()

  Specified by:
    `supportsGetMethod` in interface `ConsumerCapabilities`

### getSupportedModes

    public java.util.List getSupportedModes()

  Description copied from interface: `ConsumerCapabilities`
  Returns the list of supported `Mode`s

  Specified by:
    `getSupportedModes` in interface `ConsumerCapabilities`
  Returns:

### getSupportedWindowStates

    public java.util.List getSupportedWindowStates()

  Description copied from interface: `ConsumerCapabilities`
  Returns the list of supported `WindowState`s

  Specified by:
    `getSupportedWindowStates` in interface `ConsumerCapabilities`
  Returns:

### getSupportedUserScopes

    public java.util.List getSupportedUserScopes()

  Description copied from interface: `ConsumerCapabilities`
  Returns the list of user scopes (e.g. "wsrp:perUser") the associated Consumer is willing to process. See WSRP 1.0 7.1.1 for more details.

  Specified by:
    `getSupportedUserScopes` in interface `ConsumerCapabilities`
  Returns:

### getSupportedUserProfileData

    public java.util.List getSupportedUserProfileData()

  Description copied from interface: `ConsumerCapabilities`
  Returns the list of names of UserProfile extensions the associated Consumer supports. See WSRP 1.0 7.1.1 for more details.

  Specified by:
    `getSupportedUserProfileData` in interface `ConsumerCapabilities`
  Returns:

### setSupportsGetMethod

    public void setSupportsGetMethod(boolean supportsGetMethod)

  Specified by:
    `setSupportsGetMethod` in interface `ConsumerCapabilities`

### setSupportedModes

    public void setSupportedModes(java.util.List supportedModes)

  Specified by:
    `setSupportedModes` in interface `ConsumerCapabilities`

### setSupportedWindowStates

    public void setSupportedWindowStates(java.util.List supportedWindowStates)

  Specified by:
    `setSupportedWindowStates` in interface `ConsumerCapabilities`

### setSupportedUserScopes

    public void setSupportedUserScopes(java.util.List supportedUserScopes)

  Specified by:
    `setSupportedUserScopes` in interface `ConsumerCapabilities`

### setSupportedUserProfileData

    public void setSupportedUserProfileData(java.util.List supportedUserProfileData)

  Specified by:
    `setSupportedUserProfileData` in interface `ConsumerCapabilities`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD